Bug 180198 - build headers are incomplete
build headers are incomplete
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
: 181338 (view as bug list)
Depends On:
Blocks: 179599
  Show dependency treegraph
Reported: 2006-02-06 13:57 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.15-1.2027_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 12:47:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix to include xen directory in kernel-xen-*-devel packages (546 bytes, patch)
2006-02-17 07:45 EST, Jos Vos
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2006-02-06 13:57:07 EST
Description of problem:

  CC [M]  /root/unionfs-1.1.2/subr.o
In file included from include/asm/page.h:71,
                 from include/asm/thread_info.h:14,
                 from include/linux/thread_info.h:21,
                 from include/linux/preempt.h:10,
                 from include/linux/spinlock.h:50,
                 from include/linux/capability.h:45,
                 from include/linux/sched.h:7,
                 from /root/unionfs-1.1.2/unionfs.h:8,
                 from /root/unionfs-1.1.2/subr.c:22:
include/asm-i386/mach-xen/mach_page.h:10:31: error: xen/interface/xen.h: No such
file or directory
include/asm-i386/mach-xen/mach_page.h:11:30: error: xen/foreign_page.h: No such
file or directory

Version-Release number of selected component (if applicable):

# rpm -q kernel-xen-hypervisor-devel

How reproducible:

Every time

Steps to Reproduce:
1. Attempt to build unionfs.
3. Profit!
Comment 1 Bill Nottingham 2006-02-13 11:30:51 EST
*** Bug 181338 has been marked as a duplicate of this bug. ***
Comment 2 Nathan G. Grennan 2006-02-16 22:15:05 EST
The file xen/gnttab.h also seems to be missing.
Comment 3 Jos Vos 2006-02-17 07:45:38 EST
Created attachment 124814 [details]
Fix to include xen directory in kernel-xen-*-devel packages

The attached small patch adds the include/xen directory and it works for me.
Maybe too much files are included now (but at least it's better than too few

The pactch is for kernel-2.6.spec for 2.6.15-1.1948_FC5.
Comment 4 Stephen Tweedie 2006-02-24 17:25:34 EST
NB. need to make sure it's in both hypervisor and guest -devel rpms.
Comment 5 Jos Vos 2006-05-02 07:22:05 EDT
I would think that my patch (checking if "$Flavour" contains "hypervisor" or
"guest") does not work anymore (although it's still in the .2096 spec file),
since  the flavours are renamed back to "xen0" and "xenU".  But at first sight
the generated packages do still contain the xen include files.  Wondering why...
 Anyway, the kernel spec file can at least be cleaned up now...
Comment 6 Jos Vos 2006-05-02 08:29:00 EDT
Oops... sorry, my previous comment seems to be not true.  I looked at an older
spec file with my own patch added.

Note You need to log in before you can comment on or make changes to this bug.